package de.apps4ics.mountainnavigation.pois;

/**
 * This file is part of MountainNavigation.
 *
 * MountainNavigation is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MountainNavigation is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MountainNavigation.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @copyright Copyright (c) 2016 Vinzenz Rosenkanz <vinzenz.rosenkranz@gmail.com>
 *
 * @author Vinzenz Rosenkranz <vinzenz.rosenkranz@gmail.com>
 */
public class Fountain extends Poi {
    int size;
    public Fountain(long _id){
        super(_id, Types.FOUNTAIN);
    }
    public Fountain(){
        super(Types.FOUNTAIN);
    }
    public Fountain(long _id, int size, DbGeoPoint gp){
        super(_id, Types.FOUNTAIN, gp);
        this.size = size;
    }

    public int getSize(){
        return size;
    }
}
